[postgis-tickets] r17855 - autogen.sh: Exit with an error when a tool is missing
Raul
raul at rmr.ninja
Thu Oct 3 02:49:41 PDT 2019
Author: algunenano
Date: 2019-10-03 02:49:41 -0700 (Thu, 03 Oct 2019)
New Revision: 17855
Modified:
trunk/autogen.sh
Log:
autogen.sh: Exit with an error when a tool is missing
Modified: trunk/autogen.sh
===================================================================
--- trunk/autogen.sh 2019-10-03 09:40:08 UTC (rev 17854)
+++ trunk/autogen.sh 2019-10-03 09:49:41 UTC (rev 17855)
@@ -36,7 +36,7 @@
AUTOCONF=`which autoconf 2>/dev/null`
if [ ! ${AUTOCONF} ]; then
echo "Missing autoconf!"
- exit
+ exit 1
fi
AUTOCONF_VER=`${AUTOCONF} --version | ${GREP} -E "^.*[0-9]$" | ${SED} 's/^.* //'`
@@ -48,7 +48,7 @@
done
if [ ! ${ACLOCAL} ]; then
echo "Missing aclocal!"
- exit
+ exit 1
fi
ACLOCAL_VER=`${ACLOCAL} --version | ${GREP} -E "^.*[0-9]$" | ${SED} 's/^.* //'`
@@ -60,7 +60,7 @@
done
if [ ! ${LIBTOOLIZE} ]; then
echo "Missing libtoolize!"
- exit
+ exit 1
fi
LIBTOOLIZE_VER=`${LIBTOOLIZE} --version | ${GREP} -E "^.*[0-9]\.[0-9]" | ${SED} 's/^.* //'`
LIBTOOLIZE_MAJOR_VER=`echo ${LIBTOOLIZE_VER} | cut -f1 -d'.'`
More information about the postgis-tickets
mailing list